package com.steerinfo.meterwork.meterworkhookactfirst.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkhookactfirst.model.MeterWorkHookActFirst;
import java.math.*;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.steerinfo.meterwork.meterworkhookactual.model.MeterWorkHookActual;
import com.steerinfo.meterwork.meterworkrailwayactfirst.model.MeterWorkRailwayActFirst;
import com.steerinfo.meterwork.meterworkrailwayactual.model.MeterWorkRailwayActual;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MeterWorkHookActFirstMapper extends IBaseMapper<MeterWorkHookActFirst, String> {
    String getNewID(String format);

    List<MeterWorkHookActFirst> likeByDesc(HashMap parmas);

    List<MeterWorkRailwayActFirst> selectView(HashMap parmas);

    MeterWorkHookActFirst selectAndRemove(String actualFirstNo);

    MeterWorkHookActFirst selectAndMatch(String actualFirstNo, String predictionNo);

    List<MeterWorkHookActFirst> distinctCarNo(HashMap<String, Object> obj);
    List<MeterWorkHookActFirst> selectBy(HashMap<String, Object> param);
}